Bug 1410595 - Anaconda shall note it's own version for after-install reference
Summary: Anaconda shall note it's own version for after-install reference
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vladimír Slávik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 20:31 UTC by Jan Pokorný [poki]
Modified: 2021-04-15 11:23 UTC (History)
8 users (show)

Fixed In Version: anaconda-33.25.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-15 11:23:22 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1410590 0 unspecified CLOSED Custom partitioning: existing LUKS partition cannot be removed once it was unlocked 2021-02-22 00:41:40 UTC

Internal Links: 1410590

Description Jan Pokorný [poki] 2017-01-05 20:31:04 UTC
For a context, this is connected with [bug 1410590] (I finally
found an exact version in /var/log/anaconda/{anaconda,journal}.log
but it's rather nontrivial if you don't know which version format
to expect.

I would have appreciated if anaconda-ks.cfg would contain a header
akin to:

> # generated on Thu Jan  5 21:16:52 CET 2017 by anaconda 26.16-1
> # (anaconda-26.16-1.fc26.x86_64)

optionally with an identification of the installation source if
something like that is available (e.g. ISO label?).

Comment 1 Fedora End Of Life 2017-02-28 10:53:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora End Of Life 2018-05-03 08:12:20 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:25:51 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Jiri Konecny 2018-05-29 15:12:34 UTC
There should be also pykickstart version used for generation.

Comment 5 Jan Kurik 2018-08-14 10:20:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Ben Cotton 2019-10-31 18:56:38 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-02-11 15:45:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 8 Vladimír Slávik 2020-07-09 13:33:37 UTC
PR submitted: https://github.com/rhinstaller/anaconda/pull/2724

Comment 9 Vladimír Slávik 2020-08-12 14:18:54 UTC
PR merged...


Note You need to log in before you can comment on or make changes to this bug.